Windows Phone 7 apps will run on Windows Phone 8

Just in case you where still putting any faith in that crazy Russian guy named Eldar…here’s another major blow to his latest FUD against Microsoft and Nokia:

Crazy Russian guy: WP8 os isnt compatible with wp7 on app level (u need to rewrite all apps). Thats another os core with metro ui…

Microsoft: Rewatch Mix11 keynote. We were pretty clear on this. Any app built today will run on next major Windows Phone version.

Windows Phone 7 apps will run on Windows Phone 8. Case closed.


Source: Twitter

  • http://twitter.com/NotRahmEmanuel NOT RahmEmanuel

    I fail to see where Eldar Murtazin was obviously, plainly incorrect. He said Win8 “isn’t compatible”…ie: present-tense; right now. Far as I know, that’s completely accurate and I’ve seen no contradictory statement from Microsoft.

    The guy from Microsoft says “will run on next major Windows Phone version”…ie: future-tense; some day. MS can promise whatever they like, but there’s a big gap between what’s on tap today vs some unspecified future date.

    By the way: it’s ‘Russian guy’, not “Russian gay” (cf: your post). Next time you flame somebody over supposed errors in reportage, you might want to double-check your own grammar as well as your grasp of simple logic. :)

  • http://www.mobiletechworld.com MobileTechWorld

    Noticed the typo as soon I submitted the post, sorry for that (auto-correct plugin for Firefox was set to french, my first language..). Anyway, I won’t really comment much more on Eldar’s musings though, as I personally think that his recent track record in terms of predictions isn’t really up to his past standards (2y+ ago..) to say the least… I’m sure that’s there’s going to be quite a few of his supporters reading this given that he seems to have re-tweeted this story.

  • Moonman

    A pity. Crazy russian gay described him so much better.

  • Anonymous

    Actually it was “WP8″, and not Win8 that was stated. Wondering where Edlar got (present tense) his version of WP8 to determine that “current apps” don’t (present tense) work.  

  • http://pcfriki.com/ Ian Cavalcanti

    I remember he said that iOS 5 wouldn’t come to the iPhone 3Gs…